Filter on Image
POST
https://picnie.com/api/v1/filter-on-imageApply a filter to an image. Supported filters: IMG_FILTER_NEGATE, IMG_FILTER_GRAYSCALE, IMG_FILTER_EDGEDETECT, IMG_FILTER_EMBOSS, IMG_FILTER_GAUSSIAN_BLUR, IMG_FILTER_SELECTIVE_BLUR, IMG_FILTER_MEAN_REMOVAL.
Headers
| Name | Type | Description |
|---|---|---|
Authorization* | string | Pass api key in the authorization field Example: |
Body Parameters
| Name | Type | Description |
|---|---|---|
project_id* | integer | The ID of the project. Example: |
image_url* | string | URL of the image to filter. Example: |
filter* | string | Filter type. Values: IMG_FILTER_NEGATE, IMG_FILTER_GRAYSCALE, IMG_FILTER_EDGEDETECT, IMG_FILTER_EMBOSS, IMG_FILTER_GAUSSIAN_BLUR, IMG_FILTER_SELECTIVE_BLUR, IMG_FILTER_MEAN_REMOVAL. Example: |
Notes
⚠️ Authentication required
curl -X POST "https://picnie.com/api/v1/filter-on-image"
-H "Authorization: YOUR_API_KEY"
-H "Content-Type: application/json"
-d '{
"image_url": "https://picnie.s3.ap-south-1.amazonaws.com/user_1/project_8/ts_20240124094059image_ex.png",
"filter": "IMG_FILTER_GRAYSCALE",
"project_id": 8
}'Responses
200200 OK
{
"error": false,
"message": "Success",
"url": "https://picnie.s3.ap-south-1.amazonaws.com/user_10/project_25/rs_5965_250619093332.png"
}